* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    text-decoration: none;
}

:root {
    --primary-color: #d2b89e;
    --secondary-color: #c4996c;
    --orange: #b45027;
    --lightcolor: #cb8978;
    --bg:#e6e0dc;
}
body{
    background-color: var(--bg);
}
.navitems {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--primary-color);
    color: white;
    padding: 10px 20px;
    position: sticky;
    top: 0;
    z-index: 1000;
}

.navitems-left {
    display: flex;
    align-items: center;
}

.navitems-left .arrow-icon {
    color: white;
    font-size: 20px;
    margin-right: 10px;
    text-decoration: none;
    color: var(--orange);
}
.navitems-left .arrow-icon:hover{
    color:black;
}
.navitems-left h1 {
    margin: 0;
    font-size: 18px;
    color: var(--orange);
}

.search {
    position: relative;
    display: flex;
    align-items: center;
}

.search input {
    padding: 8px 10px 8px 30px;
    border: 1px solid var(--orange);
    border-radius: 4px;
    width: 700px;
    height: 50px;
    border-radius: 10px;
    outline: none;
}
.search input:focus {
    border-color: var(--orange); 
    box-shadow: 0 0 5px var(--orange); 
}

.search button {
    position: absolute;
    left: 10px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.search i {
    font-size: 18px;
    color: #333;
}

.navitems-right {
    display: flex;
    align-items: center;
}

.navitems-right a {
    text-decoration: none;
    color: #333;
    margin: 0 15px;
    text-align: center;
}
.navitems-right :hover{
    color: var(--orange);
}
.navitems-right .nav-item i {
    font-size: 20px;
    display: block;
}

.navitems-right .nav-item span {
    font-size: 12px;
    display: block;
    margin-top: 5px;
}
/*mencat*/
.mencatesec, .womencatesec, .kidscatesec, .beautycatesec{
    padding: 20px;
    background-color: var(--primary-color);
    text-align: center;
}

.mencat, .womencat,.kidscat, .beautycat {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 20px;
    justify-items: center;
    align-items: center;
}

.circle {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
    color: inherit;
    transition: transform 0.3s ease;
}

.circle:hover {
    transform: scale(1.1);
}

.circle img {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 50%;
    border: 2px solid var(--lightcolor);
    margin-bottom: 10px;
}

.circle p {
    font-size: 14px;
    color: #333;
    margin: 0;
    font-weight: bold;
}

.circle:hover p {
    color: var(--orange);
}
.circle img:hover{
    border: 2px solid var(--orange);
    box-shadow: 0 0 10px var(--orange); 
}

/*hero*/
.herosection {
    position: relative;
    width: 100%;
    height: 500px;
    overflow: hidden;
}

.image-container {
    display: flex;
    transition: transform 1s ease-in-out;
}

.image-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.dots {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
}

.dots .dot {
    height: 10px;
    width: 10px;
    margin: 0 5px;
    border-radius: 50%;
    background-color: rgba(255, 255, 255, 0.5);
    cursor: pointer;
}

.dots .dot.active {
    background-color: #fff;
}
/*recent*/
.product-sec {
    padding: 20px;
}

.product-heading {
    font-size: 24px;
    font-weight: bold;
    margin-bottom: 20px; 
}

.product {
    display: grid;
    grid-template-columns: repeat(5, 1fr); 
    gap: 20px;
    padding-bottom: 20px;
    overflow-x: auto; 
}

.productbox {
    position: relative;
    width: 250px;
    height: 300px;
    flex-shrink: 0; 
    overflow: hidden; 
}

.productbox img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease; 
}

.productbox:hover img {
    transform: scale(1.1); 
}

.productbox .heart-icon {
    position: absolute;
    top: 10px; 
    right: 10px; 
    font-size: 26px;
    cursor: pointer;
    z-index: 2; 
    transition: color 0.3s ease, border 0.3s ease;
}

.initial-heart {
    font-size: 8px;  
    color: #000;      
    font-weight: 100; 
}

.productbox::after {
    content: ""; 
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0)); 
    border-radius: 4px; 
    z-index: 0; 
}

.producttext {
    position: absolute;
    bottom: 0px;
    left: 10px;
    color: white;
    padding: 10px;
    width: 100%;
    z-index: 1; 
    font-weight: bold;
}

.item-title {
    margin-bottom: 5px;
    font-size: 15px;
}

.item-price {
    margin-bottom: 5px;
    font-size: 14px;
}

.item-description {
    font-size: 12px;
    color: #dbd1d1;
    margin-bottom: 3px;
}

.productlink {
    text-decoration: none;
}

/* Default heart color */
.heart-icon {
    color: white;
}

/* Red heart color when toggled */
.red-heart {
    color: red;
}
